// This may look like C code, but it is really -*- C++ -*-
// Outils de manipulation des PIImage  R. Ansari 06/98
// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA

#ifndef PIIMGTOOLS_H_SEEN
#define PIIMGTOOLS_H_SEEN

#include "pisysdep.h"
#include PISTDWDG_H
#include PIOPTMENU_H
#include PIWIN_H
#include PIAPP_H

// ------ fenetre de dialogue pour changement de LUT et options de PIImage --------
// --------------------------------------------------------------------------------

class PIImgTools : public PIWindow {
public :
  PIImgTools(PIApplication* par);
  ~PIImgTools();
  virtual void  Show();

  static PIImgTools* curlutw;
  static void ShowPIImgTools();
  static void HidePIImgTools();
protected:
  virtual void  Process(PIMessage msg, PIMsgHandler* sender, void* data=NULL);
  void UpdateAll();
  void UpdateLUT();

private:
// Pour changer la LUT
  PILabel* mLab[2];
  PIButton* mBut[3];
  PIButton* mButR;
  PIText* mText[2];
  PIOptMenu* mOpt[2];
  PILabel* mOlb[2];
  PIScale* mSc[2];
  double min_lut,max_lut;
// Pour la couleur et le zoom
  PIOptMenu* mOptzc[2];
  PIMenu* mCasc[5];
  PIMessage mLastCol;

// Pour expand et compress
  PIButton* mButsz[5];
// Config axes 
  PIButton* mButcax[3];
// Options show/hide
  PIButton* mButoa[5];
// Options Cuts
  PIOptMenu* mOptCut;
};



#endif
